Check Point Advisories

Microsys Promotic PmBase64Decode Buffer Overflow (CVE-2014-9205)

Check Point Reference: CPAI-2015-0465
Date Published: 13 Apr 2015
Severity: High
Last Updated: 15 May 2017
Source: Microsys
Industry Reference:CVE-2014-9205
Protection Provided by:

Security Gateway
R80, R77, R76, R75

Who is Vulnerable? Microsys Promotic prior to stable 8.2.19
Microsys Promotic prior to development 8.3.2
Vulnerability Description A stack-based buffer overflow vulnerability exists in Microsys's Promotic. The vulnerability is due to an insufficient boundary check on user-supplied data in the PmBase64Decode function. A remote, unauthenticated attacker can exploit this vulnerability by supplying a maliciously crafted base64 encoded string to the vulnerable application. Successful exploitation could lead to injection and execution of arbitrary code in the security context of the target application.

Protection Overview

This protection will detect and block attempts to exploit this vulnerability.

In order for the protection to be activated, update your Security Gateway product to the latest IPS update.For information on how to update IPS, go to SBP-2006-05, click on Protection tab and select the version of your choice.

Security Gateway R80 / R77 / R76 / R75

  1. In the IPS tab, click Protections and find the Microsys Promotic PmBase64Decode Buffer Overflow protection using the Search tool and Edit the protection's settings.
  2. Install policy on all modules.

This protection's log will contain the following information:

Attack Name:  Web Server Enforcement Violation.
Attack Information:  Microsys Promotic PmBase64Decode Buffer Overflow

This website uses cookies to ensure you get the best experience. Got it, Thanks! MORE INFO